package com.steering.pss.plnsaleord.planStove.entity;

public class StoveEntity {
	private String proPlanId;// 订单编号
	private String gxPlanNo;// 排产序号
	private String inwlId;// 投入物料编码
	private String outwlId;// 产出物料编码
	private double planWgt;// 排产重量
	private int planNum;// 排产支数
	private String planUserTime;// 排产用时
	private String planTimeB;// 计划开始时间
	private String planTimeE;// 计划结束时间
	private int gxProSeq;// 生产顺序号
	private String exeStatus;// 生产状态
	private String isRepairPlan;// 是否检修
	private String repairType;// 检修类型
	private String isPlanOk;// 是否下发
	private String plineCode;// 产线代码
	private String plineName;// 产线描述
	private String issuedMan;// 下发人
	private String issuedTime;// 下发时间
	private String lastUndownMan;// 取消下发人
	private String lastUndownTime;// 取消下发时间
	private Object objEntity;// 对应实体类
	private String memo = "";// 备注

	public String getProPlanId() {
		return proPlanId;
	}

	public void setProPlanId(String proPlanId) {
		this.proPlanId = proPlanId;
	}

	public String getGxPlanNo() {
		return gxPlanNo;
	}

	public void setGxPlanNo(String gxPlanNo) {
		this.gxPlanNo = gxPlanNo;
	}

	public String getInwlId() {
		return inwlId;
	}

	public void setInwlId(String inwlId) {
		this.inwlId = inwlId;
	}

	public String getOutwlId() {
		return outwlId;
	}

	public void setOutwlId(String outwlId) {
		this.outwlId = outwlId;
	}

	public double getPlanWgt() {
		return planWgt;
	}

	public void setPlanWgt(double planWgt) {
		this.planWgt = planWgt;
	}

	public int getPlanNum() {
		return planNum;
	}

	public void setPlanNum(int planNum) {
		this.planNum = planNum;
	}

	public String getPlanUserTime() {
		return planUserTime;
	}

	public void setPlanUserTime(String planUserTime) {
		this.planUserTime = planUserTime;
	}

	public String getPlanTimeB() {
		return planTimeB;
	}

	public void setPlanTimeB(String planTimeB) {
		this.planTimeB = planTimeB;
	}

	public String getPlanTimeE() {
		return planTimeE;
	}

	public void setPlanTimeE(String planTimeE) {
		this.planTimeE = planTimeE;
	}

	public int getGxProSeq() {
		return gxProSeq;
	}

	public void setGxProSeq(int gxProSeq) {
		this.gxProSeq = gxProSeq;
	}

	public String getExeStatus() {
		return exeStatus;
	}

	public void setExeStatus(String exeStatus) {
		this.exeStatus = exeStatus;
	}

	public String getIsRepairPlan() {
		return isRepairPlan;
	}

	public void setIsRepairPlan(String isRepairPlan) {
		this.isRepairPlan = isRepairPlan;
	}

	public String getRepairType() {
		return repairType;
	}

	public void setRepairType(String repairType) {
		this.repairType = repairType;
	}

	public String getIsPlanOk() {
		return isPlanOk;
	}

	public void setIsPlanOk(String isPlanOk) {
		this.isPlanOk = isPlanOk;
	}

	public String getPlineCode() {
		return plineCode;
	}

	public void setPlineCode(String plineCode) {
		this.plineCode = plineCode;
	}

	public String getPlineName() {
		return plineName;
	}

	public void setPlineName(String plineName) {
		this.plineName = plineName;
	}

	public String getIssuedMan() {
		return issuedMan;
	}

	public void setIssuedMan(String issuedMan) {
		this.issuedMan = issuedMan;
	}

	public String getIssuedTime() {
		return issuedTime;
	}

	public void setIssuedTime(String issuedTime) {
		this.issuedTime = issuedTime;
	}

	public String getLastUndownMan() {
		return lastUndownMan;
	}

	public void setLastUndownMan(String lastUndownMan) {
		this.lastUndownMan = lastUndownMan;
	}

	public String getLastUndownTime() {
		return lastUndownTime;
	}

	public void setLastUndownTime(String lastUndownTime) {
		this.lastUndownTime = lastUndownTime;
	}

	public Object getObjEntity() {
		return objEntity;
	}

	public void setObjEntity(Object objEntity) {
		this.objEntity = objEntity;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}

}
